<?php
include_once("repositorio/usuarios.php");
$lista = [];
$tiendas = [];
if (isset($_COOKIE['usuario']) && isset($usuarios[base64_decode($_COOKIE['usuario'])])) {
    $usuario =  base64_decode($_COOKIE['usuario']);
    $lista = @unserialize(file_get_contents("repositorio/" . $usuario . ".txt"));
    $tiendas = @unserialize(file_get_contents("repositorio/tiendas_" . $usuario . ".txt"));
} else {
    header("Location: index.php");
    exit();
}
?>
<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lista de la Compra</title>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css" integrity="sha512-SnH5WK+bZxgPHs44uWIX+LLJAJ9/2PkPKZ5QiAj6Ta86w+fsb2TkcmfRyVX3pBnMFcV7oQPJkl9QevSCWr3W6A==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <script src="js.js"></script>
</head>

<body>

    <header>
        <form action="guardar.php" method="post">
            <div>
                <div class="padding10 peque">
                    <nav id="headerarriba">
                        <ul>
                            <li><a href="tiendas.php"><i class="fa-solid fa-shop"></i> Tiendas</a></li>
                            <li><a href="cerrar_sesion.php">Cerrar Sesión <i class="fa-solid fa-person-running"></i></a></li>
                        </ul>
                    </nav>
                </div>
                <div>
                    <i class="fa-solid fa-microphone" onclick="capturar();"></i>
                    <input id="campomicro" type="text" name="producto" autofocus required placeholder="Producto...">
                    <button><i class="fa-solid fa-plus"></i></button>
                </div>
                <div class="padding10">
                    <select name="tienda" required>
                        <option value="">-- TIENDAS --</option>
                        <?php
                        if ($tiendas != "" && count($tiendas) > 0) {
                            foreach ($tiendas as $key => $value) {
                                echo '<option value="' . $key . '">' . $value . '</option>';
                            }
                        }
                        ?>
                    </select>
                </div>
            </div>
        </form>
    </header>
    <main>
        <?php
        if ($lista != "" && count($lista) > 0) {
            foreach ($tiendas as $key => $value) {
                echo "<ul>";
                echo '<li class="titulostiendas">
                            <div><h3>' . $value . '</h3></div>    
                         </li>';
                if (isset($lista[$key]) && count($lista[$key]) > 0) {
                    foreach ($lista[$key] as $keyy => $valuee) {
                        echo '<li>
                                <div>' . $valuee . '</div>    
                                <div><i onclick="borrar(' . $key . ',' . $keyy . ', \''. $valuee .'\')" class="fa-solid fa-cart-shopping"></i></div>
                            </li>';
                    }
                } else {
                    echo '<li>
                            <div class="alertas">No hay productos dados de alta en esta tienda</div>   
                            <div></div> 
                      </li>';
                }
                echo "</ul>";
            }
        }

        ?>
        </ul>
    </main>

</body>

</html>