const elNavegadorEsCompatible = () => {
    if (navigator.userAgent.indexOf("Chrome") ||
        navigator.userAgent.indexOf("Edge") ||
        navigator.userAgent.indexOf("Safari")) return true;
    alert('El Navegador no es compatible con el Reconocimiento de voz');
    return false;
}

function capturar(params) {
    recognition.start();
}

function manejarResultado(resultado) {
    document.getElementById("producto").value = resultado.results[0][0].transcript;
}

let recognition;
if (elNavegadorEsCompatible()) {
    recognition = new(window.SpeechRecognition || window.webkitSpeechRecognition || window.mozSpeechRecognition || window.msSpeechRecognition);
    recognition.lang = "es-ES";
    recognition.onresult = resultado => { manejarResultado(resultado); };
}